#ifndef GTK_FILESYSTEM
#define GTK_FILESYSTEM



void load_portfolio(gchar *filename){
	FILE* fp;
	gchar linestring[25*9];
	int i=0;
	int j;
	const char *token;
	//fix, no spaces in entries check
	const char *search = " ";

	memset ((void*) linestring, '\0', sizeof (linestring));
	if( ( fp = fopen(filename, "r" ) ) == NULL ) {
		fprintf( stderr, "Error opening %s\n", filename );
		return;
	}
	while( fgets(linestring, sizeof(linestring), fp) != NULL){
		token = strtok(linestring, search);
		//ignore first 3 "Ticker Shares Price "
		if(i==0){
			token = strtok(NULL, search);
			token = strtok(NULL, search);
			token = strtok(NULL, search);
		}else{
			//get pos_entries
			for(j=0; j<3; j++){
				gtk_entry_set_text(GTK_ENTRY(Port_win.pos_entries[i][j]), token);
				token = strtok(NULL, search);
			}
		}
		//get entries
		for(j=0; j<Port_win.port_cols; j++){
			gtk_entry_set_text(GTK_ENTRY(Port_win.entries[i][j]), token);
			token = strtok(NULL, search);
		}	
		i++;
		//memset ((void*) linestring, '\0', sizeof (linestring));
	}
	fclose(fp);
}

void save_portfolio(gchar *filename){
	FILE* fp;
	gchar linestring[25*9];
	int i;
	int j;
	memset ((void*) linestring, '\0', sizeof (linestring));
	strcpy(linestring, "Ticker Shares Price ");	

	if ( (fp = fopen(filename, "w")) ){
		for(i=0; i<Port_win.port_rows+1; i++){
			for(j=0; j<3; j++){
				if(i != 0){
					strcat(linestring, gtk_entry_get_text(GTK_ENTRY(Port_win.pos_entries[i][j])) );
					strcat(linestring, " ");
				}
			}
			for(j=0; j<Port_win.port_cols; j++){
				strcat(linestring, gtk_entry_get_text(GTK_ENTRY(Port_win.entries[i][j])) );
				strcat(linestring, " ");

			}
			fprintf(fp, "%s\n", linestring );
			memset ((void*) linestring, '\0', sizeof (linestring));
		}

	}
	//g_free(linestring);
	fclose(fp);
}

#endif
