#ifndef GTK_FUNCS
#define GTK_FUNCS

#include "filesystem.h"


void on_destroy(GtkWidget *widget, gpointer data){
        gtk_main_quit();
}

void on_comp(GtkWidget *widget, gpointer data){
	gchar *text;
	text = malloc(sizeof(gchar)*15);
	double principle1 = atof( gtk_entry_get_text(GTK_ENTRY(  ((struct ToolTab *)data)->comp_entries[0]   )) );
	double rate1 = atof( gtk_entry_get_text(     GTK_ENTRY(  ((struct ToolTab *)data)->comp_entries[1]   )) );
	double principle2 = atof( gtk_entry_get_text(GTK_ENTRY(  ((struct ToolTab *)data)->comp_entries[2]   )) );

	rate1 = rate1 / 100;
	double times1 = (log(principle2) - log(principle1)) / log(1+rate1);
	printf("%lf\n", times1);
	(void)sprintf(text, "%lf", times1 );
	gtk_entry_set_text(GTK_ENTRY( ((struct ToolTab *)data)->comp_entries[3] ), text);
	free(text);
	//gtk_widget_show_all(GTK_WIDGET(  ((struct ToolTab *)data)->main_table  ));
	gtk_widget_show_all(GTK_WIDGET( widget ));
}

void on_comp_s(GtkWidget *widget, gpointer data){
	double rate1;
	double principle1 = atof( gtk_entry_get_text(GTK_ENTRY(  ((struct ToolTab *)data)->comp_s_entries[0]   )) );
	double principle2 = principle1;
	double last;

	const char *token;
	const char *search = " ";
	void *text;
	char *rates = (char *)gtk_entry_get_text(GTK_ENTRY(  ((struct ToolTab *)data)->comp_s_entries[1]   ));

	text = malloc(sizeof(char)*15);

	for(token = strtok(rates, search); token != NULL; token = strtok(NULL, search) ){
		//if(

		rate1 = atof(token);
		last = principle2;
		principle2 =  principle2 * ((100+rate1)/100);
		last = principle2 - last;
	}
	//last = principle2 - principle1;
	//rate1 = ((principle2 / principle1)-1) * 100;

	(void)sprintf(text, "%lf", principle2 );
	gtk_entry_set_text(GTK_ENTRY( ((struct ToolTab *)data)->comp_s_entries[2] ), text);
	gtk_widget_show_all(GTK_WIDGET( widget ));
	free(text);
	//free(rates);
}

void on_recoup(GtkWidget *widget, gpointer data){
	double percentage1 = atof( gtk_entry_get_text( GTK_ENTRY(  ((struct ToolTab *)data)->recoup_entries[0]  ) ) );
	double percentage2;
	void *text;
	text = malloc(sizeof(char)*15);
	percentage2 = 100 + percentage1;
	percentage2 = (100 / percentage2) - 1;
	percentage2 = percentage2 * 100;
	(void)sprintf(text, "%lf", percentage2 );
	gtk_entry_set_text(GTK_ENTRY( ((struct ToolTab *)data)->recoup_entries[1] ), text);
	gtk_widget_show_all(GTK_WIDGET( widget ));
	free(text);
}


void on_file_load(GtkWidget *widget, gpointer data){
	GtkWidget *dialog;
	dialog = gtk_file_chooser_dialog_new ("Open File", NULL, GTK_FILE_CHOOSER_ACTION_OPEN, GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
		GTK_STOCK_OPEN, GTK_RESPONSE_ACCEPT, NULL);
	if (gtk_dialog_run (GTK_DIALOG (dialog)) == GTK_RESPONSE_ACCEPT){
		gchar *filename;
		filename = gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (dialog));
		//open_file (filename);
		printf("filename: %s\n", filename);
		load_portfolio(filename);

		g_free (filename);
	}
	gtk_widget_destroy (dialog);

}

void on_file_save(GtkWidget *widget, gpointer data){
	GtkWidget *dialog;
	dialog = gtk_file_chooser_dialog_new ("Save File", NULL, GTK_FILE_CHOOSER_ACTION_SAVE, GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL,
		GTK_STOCK_SAVE, GTK_RESPONSE_ACCEPT, NULL);
	if (gtk_dialog_run (GTK_DIALOG (dialog)) == GTK_RESPONSE_ACCEPT){
		gchar *filename;
		filename = gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (dialog));
		printf("filename: %s\n", filename);
		save_portfolio(filename);
		g_free (filename);
	}
	gtk_widget_destroy (dialog);
}




void on_font_chng(GtkWidget *widget, gpointer data){
	int i;
	int j;
	Port_win.font_size = gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(widget));
	pango_font_description_set_size(Port_win.font_desc, Port_win.font_size * PANGO_SCALE );
	for(i=0; i<Port_win.port_rows+1; i++){
		if(i == 0){
			for(j=0; j<3; j++){
				gtk_widget_modify_font(GTK_WIDGET(Port_win.pos_labels[j]), Port_win.font_desc);
			}
		}else{
			for(j=0; j<3; j++){
				gtk_widget_modify_font(GTK_WIDGET(Port_win.pos_entries[i][j]), Port_win.font_desc);
			}
		}

		for(j=0; j<Port_win.port_cols; j++){
			gtk_widget_modify_font(GTK_WIDGET(Port_win.entries[i][j]), Port_win.font_desc);
			//gtk_widget_show(GTK_WIDGET(Port_win.entries[i][j]));
		}
	}
	//gtk_widget_error_bell(widget);
	//gtk_widget_show(GTK_WIDGET(Port_win.main_table));
	//gdk_window_beep( gtk_widget_get_root_window( gtk_widget_get_toplevel(widget) ) );
	//gdk_window_beep( gtk_widget_get_root_window( GTK_WIDGET(data) ) );
	//gdk_window_beep(GDK_WINDOW(data));
	gtk_widget_show_all(GTK_WIDGET(data));
}

void on_row_chng(GtkWidget *widget, gpointer data){
	//struct PortTab *ptr = data;
	Port_win.port_rows = gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(widget));
	//Port_win.port_cols = gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(widget));
	printf("rows: %d\n", Port_win.port_rows );
	port_adj_row();
	gtk_widget_show_all(GTK_WIDGET( data ) );
}
void on_col_chng(GtkWidget *widget, gpointer data){
	//struct PortTab *ptr = data;
	Port_win.port_cols = gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(widget));
	//Port_win.port_rows = gtk_spin_button_get_value_as_int(GTK_SPIN_BUTTON(widget));
	printf("col: %d\n", Port_win.port_cols );
	port_adj_col();
	gtk_widget_show_all(GTK_WIDGET(data));
}
//int last_rows = 4;
//int last_cols = 10;

void port_adj_row(void){
	//int last_rows = 4;
	int i = 0;
	int j = 0;

	//struct PortTab *ptr = Port_win;
	//add/remove new ticker rows

	//printf("TEST: r, %d c, %d\n", Port_win.port_rows, Port_win.port_cols);
	//for(i=0; i<port_cols; i++){
	
	//if(Port_win.port_rows == 0){
	//	Port_win.last_rows = Port_win.port_rows;
	//	return;
	//}

	if(Port_win.port_rows < Port_win.last_rows){
		for(i=0; i<3; i++){
			gtk_widget_destroy(GTK_WIDGET(Port_win.pos_entries[Port_win.port_rows+1][i]) );
		}
		for(i=0; i<Port_win.port_cols; i++){
			gtk_widget_destroy(GTK_WIDGET(Port_win.entries[Port_win.port_rows+1][i]) );
		}
		gtk_table_resize(GTK_TABLE(Port_win.pos_table), Port_win.port_rows+1, 3);
		gtk_table_resize(GTK_TABLE(Port_win.out_table), Port_win.port_rows+1, Port_win.port_cols);
	}


	if(Port_win.port_rows > Port_win.last_rows){
		gtk_table_resize(GTK_TABLE(Port_win.pos_table), Port_win.port_rows+1, 3);
		gtk_table_resize(GTK_TABLE(Port_win.out_table), Port_win.port_rows+1, Port_win.port_cols);
		Port_win.entries = realloc(Port_win.entries, sizeof(GtkWidget ***) * (Port_win.port_rows+1) );
		Port_win.pos_entries = realloc(Port_win.pos_entries, sizeof(GtkWidget ***) * (Port_win.port_rows+1) );
		i=Port_win.port_rows;
		//for(i=last_rows-1; i<Port_win.port_rows; i++){
			Port_win.entries[i] = malloc(sizeof(GtkWidget **) * Port_win.port_cols );
			Port_win.pos_entries[i] = malloc(sizeof(GtkWidget **) * 3 );
			for(j=0; j<3; j++){
				Port_win.pos_entries[i][j] = gtk_entry_new();
				gtk_widget_modify_font(Port_win.pos_entries[i][j], Port_win.font_desc);
				gtk_entry_set_width_chars(GTK_ENTRY(Port_win.pos_entries[i][j]), 9);
				gtk_table_attach(GTK_TABLE(Port_win.pos_table), Port_win.pos_entries[i][j], j, j+1, i, i+1,
					GTK_EXPAND|GTK_FILL, 0, GTK_EXPAND|GTK_FILL, 0);
			}
			for(j=0; j<Port_win.port_cols; j++){
				Port_win.entries[i][j] = gtk_entry_new();
				gtk_widget_modify_font(Port_win.entries[i][j], Port_win.font_desc);
				gtk_entry_set_width_chars(GTK_ENTRY(Port_win.entries[i][j]), 9);
				gtk_table_attach(GTK_TABLE(Port_win.out_table), Port_win.entries[i][j], j, j+1, i, i+1, 
					GTK_EXPAND|GTK_FILL, 0, GTK_EXPAND|GTK_FILL, 0);
			}
		//} 
		
	}
	//gtk_table_resize(GTK_TABLE(Port_win.table), Port_win.port_rows, Port_win.port_cols);
	//for(i=0; i<port_rows; i++){	
	//	Port_win.entries[i] = realloc(Port_win.entries[i], sizeof(GtkWidget **) * port_cols);
	//}
	//gtk_widget_show(GTK_WIDGET(Port_win.table));
	Port_win.last_rows = Port_win.port_rows;
}

void port_adj_col(void){
	//int last_cols = 10;
	int i = 0;
	int j = 0;
	
	//add/remove more colums to ticker rows
        if(Port_win.port_cols < Port_win.last_cols){
                for(i=0; i<Port_win.port_rows+1; i++){

                        for(j=Port_win.port_cols; j<Port_win.last_cols; j++){
                                gtk_widget_destroy(GTK_WIDGET(Port_win.entries[i][j]) );
				//free(Port_win.entries[i][j]);
                        }
                }
		
		//gtk_table_resize(GTK_TABLE(Port_win.pos_table), Port_win.port_rows, Port_win.port_cols);
		gtk_table_resize(GTK_TABLE(Port_win.out_table), Port_win.port_rows, Port_win.port_cols);
        }


	//Port_win.entries = realloc(Port_win.entries, sizeof(GtkWidget *) * port_rows * port_cols);
	//for(i=0; i<Port_win.port_rows; i++){
	//	Port_win.entries[i] = realloc(Port_win.entries[i], sizeof(GtkWidget **) * Port_win.port_cols);
	//}
	if(Port_win.port_cols > Port_win.last_cols){
		//gtk_table_resize(GTK_TABLE(Port_win.pos_table), Port_win.port_rows, Port_win.port_cols);
		gtk_table_resize(GTK_TABLE(Port_win.out_table), Port_win.port_rows+1, Port_win.port_cols);
		for(i=0; i<Port_win.port_rows+1; i++){
			Port_win.entries[i] = realloc(Port_win.entries[i], sizeof(GtkWidget **) * Port_win.port_cols);
			//for(j=last_cols-1; j<Port_win.port_cols; j++){
			j=Port_win.port_cols-1;
				Port_win.entries[i][j] = gtk_entry_new();
				gtk_widget_modify_font(Port_win.entries[i][j], Port_win.font_desc);
				gtk_entry_set_width_chars(GTK_ENTRY(Port_win.entries[i][j]), 9);
				gtk_table_attach(GTK_TABLE(Port_win.out_table), Port_win.entries[i][j], j, j+1, i, i+1, 
					GTK_EXPAND|GTK_FILL, 0, GTK_EXPAND|GTK_FILL, 0);
			//}
		}
		//last_cols = Port_win.port_cols;
	}
	//gtk_table_resize(GTK_TABLE(Port_win.table), Port_win.port_rows, Port_win.port_cols);
	//gtk_widget_show(GTK_WIDGET(Port_win.table));
	Port_win.last_cols = Port_win.port_cols;
}

void on_calculate(GtkWidget *widget, gpointer data){
	gchar *text;
	text = malloc(sizeof(gchar)*15);
	double shares;
	double price;
	double *changes;
	changes = malloc(sizeof(double)*Port_win.port_cols);
	int i;
	int j;
	for(j=0; j<Port_win.port_cols; j++){
		changes[j] = atof( gtk_entry_get_text(GTK_ENTRY(Port_win.entries[0][j])) );
	}
	for(i=1; i<Port_win.port_rows+1; i++){
	 	shares = atof( gtk_entry_get_text(GTK_ENTRY(Port_win.pos_entries[i][1])) );
		price  = atof( gtk_entry_get_text(GTK_ENTRY(Port_win.pos_entries[i][2])) );
		for(j=0; j<Port_win.port_cols; j++){
			
			(void)sprintf(text, "%lf", (shares*price+changes[j])/shares );
			gtk_entry_set_text(GTK_ENTRY(Port_win.entries[i][j]), text);
		}
	}

	gtk_widget_show_all(GTK_WIDGET(data));
	free(changes);
	free(text);
}


#endif
